### Hierarchy

- WebRTCRecorder

### Implements

- AudioRecorder

## Index

### Constructors

- constructor

### Properties

- recordRTC
- INSTANCE

### Methods

- startRecording
- stopRecording
- initializeAudioContext
- instance
- removeMimeType
- rtcConfig

## Constructors

### Private constructor

- new WebRTCRecorder(recordRTC: any): WebRTCRecorder

- - Defined in lib/audio/recorder/WebRTCRecorder.ts:9

  #### Parameters

  - ##### recordRTC: any

  #### Returns WebRTCRecorder

## Properties

### Private recordRTC

recordRTC: Promise<any>

- Defined in lib/audio/recorder/WebRTCRecorder.ts:8

### Static Private INSTANCE

INSTANCE: WebRTCRecorder

- Defined in lib/audio/recorder/WebRTCRecorder.ts:9

## Methods

### startRecording

- startRecording(): Promise<void>

- Implementation of AudioRecorder.startRecording

  - Defined in lib/audio/recorder/WebRTCRecorder.ts:22

  Starts the RecordRTC recording

  #### Returns Promise<void>

### stopRecording

- stopRecording(): Promise<string>

- Implementation of AudioRecorder.stopRecording

  - Defined in lib/audio/recorder/WebRTCRecorder.ts:34

  Stops the recording session and transforms the resulting blob to base64 encoded string

  #### Returns Promise<string>

### Static Private initializeAudioContext

- initializeAudioContext(): Promise<any>

- - Defined in lib/audio/recorder/WebRTCRecorder.ts:52

  Initializes the browser audio context

  #### Returns Promise<any>

### Static instance

- instance(): AudioRecorder

- - Defined in lib/audio/recorder/WebRTCRecorder.ts:15

  #### Returns AudioRecorder

### Static Private removeMimeType

- removeMimeType(dataUrl: string): string

- - Defined in lib/audio/recorder/WebRTCRecorder.ts:65

  Removes the: 'data:[<mediatype>][;base64],' part from the given url string

  #### Parameters

  - ##### dataUrl: string

  #### Returns string

### Static Private rtcConfig

- rtcConfig(): any

- - Defined in lib/audio/recorder/WebRTCRecorder.ts:77

  RecordRTC audio recording configuration

  see

    https://recordrtc.org

  #### Returns any

Generated using TypeDoc